## camel-filter-search

camel-filter-search

## Functions

CamelMimeMessage * | (*CamelFilterSearchGetMessageFunc) ()
gint | camel_filter_search_match ()
gint | camel_filter_search_match_with_log ()

## Description

## Functions

### CamelFilterSearchGetMessageFunc ()

    CamelMimeMessage *
    (*CamelFilterSearchGetMessageFunc) (gpointer data,
                                        GCancellable *cancellable,
                                        GError **error);

### camel_filter_search_match ()

    gint
    camel_filter_search_match (struct _CamelSession *session,
                               CamelFilterSearchGetMessageFunc get_message,
                               gpointer user_data,
                               CamelMessageInfo *info,
                               const gchar *source,
                               struct _CamelFolder *folder,
                               const gchar *expression,
                               GCancellable *cancellable,
                               GError **error);

#### Parameters

get_message | function to retrieve the message if necessary. | [scope async]
user_data | data for above |
folder | in which folder the message is stored |
cancellable | a GCancellable, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

one of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.

### camel_filter_search_match_with_log ()

    gint
    camel_filter_search_match_with_log (struct _CamelSession *session,
                                        CamelFilterSearchGetMessageFunc get_message,
                                        gpointer user_data,
                                        CamelMessageInfo *info,
                                        const gchar *source,
                                        struct _CamelFolder *folder,
                                        const gchar *expression,
                                        FILE *logfile,
                                        GCancellable *cancellable,
                                        GError **error);

#### Parameters

get_message | function to retrieve the message if necessary. | [scope async]
user_data | data for above |
folder | in which folder the message is stored |
logfile | an optional log file to write logging information to, or `NULL`. | [nullable]
cancellable | a GCancellable, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

one of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.

Since 3.24